/*
******************************************************************

Default und Custom CSS for Module Search

(c) sinntun.codes
******************************************************************
*/

/*** search-container
******************************************************************************* */

.search-container {
    position: absolute;
    top: 5.3125rem;
    right: 0;
    z-index: 999;
}

.search-container .search-input {
    padding: 0.375rem;
    margin-top: 0.5rem;
    font-size: 1.0625rem;
    border: none;
    width: 13.8125rem;
}

.search-container button {
    float: right;
    padding: 0.375rem 0.625rem;
    margin-top: 0.5rem;
    background: #ddd;
    font-size: 1.0625rem;
    border: none;
    cursor: pointer;
}

.search-container button:hover {
    background: #ccc;
}

@media only screen and (max-width: 64rem) {
    .search-container {
        display: none;
    }

    #mobile-searchbutton {
        display: inline-block !important;
    }
}

@media only screen and (max-width: 65rem) {
    .search-container .search-input {
        width: 10rem;
    }
}

#mobile-searchbutton {
    display: none;
    position: absolute;
    right: 4.375rem;
    width: 2.8125rem;
    padding: 0.3125rem;
    cursor: pointer;
    top: 0.3125rem;
}

#mobile-searchbutton .icon,
#mobile-searchbutton .text {
    display: inline-block;
    width: 2.8125rem;
    text-align: center;
    font-size: 1.375rem;
}

#mobile-search-box {
    position: relative;
    z-index: 999;
    width: 100%;
    box-sizing: border-box;
    padding: 0.625rem 2.5rem 0rem;
    height: 0;
    overflow: hidden;
    transition: ease-in-out 0.4s;
    display: none;
    top: 0.3125rem;
}

#mobile-search-box .search-input {
    padding: 0.375rem;
    margin-top: 0.5rem;
    font-size: 1.0625rem;
    border: none;
    background-color: #efefef;
    float: left;
    width: calc(100% - 4.0625rem);
}

#mobile-search-box button {
    float: left;
    padding: 0.375rem 0.625rem;
    margin-top: 0.5rem;
    margin-right: 1rem;
    font-size: 1.0625rem;
    border: none;
    cursor: pointer;
}
